diff -u dietlibc-0.32/debian/changelog dietlibc-0.32/debian/changelog
--- dietlibc-0.32/debian/changelog
+++ dietlibc-0.32/debian/changelog
@@ -1,3 +1,12 @@
+dietlibc (0.32-5.1) unstable; urgency=high
+
+  * Non-maintainer upload.
+  * Fix sparc64 detection, based on a patch by Ivan Jager (closes: #604717).
+    Don't use defined(__sparc_v9__) to detect 64bit sparc, use
+    defined(__sparcv9) || defined(__arch64__) instead.
+
+ -- Julien Cristau <jcristau@debian.org>  Mon, 27 Dec 2010 13:09:27 +0100
+
 dietlibc (0.32-5) unstable; urgency=medium
 
   * debian/diff/0013-mips-divdi3.c-fix-include-path-to-longlong.h.diff:
only in patch2:
unchanged:
--- dietlibc-0.32.orig/debian/diff/0014-sparc_v9-does-not-imply-arch64.diff
+++ dietlibc-0.32/debian/diff/0014-sparc_v9-does-not-imply-arch64.diff
@@ -0,0 +1,12 @@
+diff -ru dietlibc-0.32.orig//include/endian.h dietlibc-0.32/include/endian.h
+--- dietlibc-0.32.orig//include/endian.h        2005-10-04 13:47:03.000000000 -0400
++++ dietlibc-0.32/include/endian.h      2010-12-14 15:12:24.000000000 -0500
+@@ -39,7 +39,7 @@
+ # define __LONG_LONG_PAIR(HI, LO) HI, LO
+ #endif
+ 
+-#if defined(__alpha__) || defined(__mips64__) || defined(__sparc_v9__) || defined(__x86_64__) || defined(__ia64__) || defined(__powerpc64__) || defined(__s390x__)
++#if defined(__alpha__) || defined(__mips64__) || defined(__sparcv9) || defined(__x86_64__) || defined(__ia64__) || defined(__powerpc64__) || defined(__s390x__) || defined(__arch64__)
+ #define __WORDSIZE 64
+ #endif
+ 
